#
#       Makefile for grph1/append
#

ROOTDIR = ../../..

LIBOBJS		= uxyz01.exe uxyz02.exe uxyz03.exe uxyz04.exe \
		  uxyz05.exe uxyz06.exe uxyz07.exe uxyz08.exe \
		  uxyz09.exe uxyz10.exe
EPSFILES	= uxyz01_0001.eps uxyz02_0001.eps uxyz03_0001.eps uxyz04_0001.eps \
		  uxyz05_0001.eps uxyz06_0001.eps uxyz07_0001.eps uxyz08_0001.eps \
		  uxyz09_0001.eps uxyz10_0001.eps


!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win  subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

uxyz01_0001.eps:
	echo 2 | uxyz01.exe -sw_ifl=2 -sw_fname=uxyz01

uxyz02_0001.eps:
	echo 2 | uxyz02.exe -sw_ifl=2 -sw_fname=uxyz02

uxyz03_0001.eps:
	echo 2 | uxyz03.exe -sw_ifl=2 -sw_fname=uxyz03

uxyz04_0001.eps:
	echo 2 | uxyz04.exe -sw_ifl=2 -sw_fname=uxyz04

uxyz05_0001.eps:
	echo 2 | uxyz05.exe -sw_ifl=2 -sw_fname=uxyz05

uxyz06_0001.eps:
	echo 2 | uxyz06.exe -sw_ifl=2 -sw_fname=uxyz06

uxyz07_0001.eps:
	echo 2 | uxyz07.exe -sw_ifl=2 -sw_fname=uxyz07

uxyz08_0001.eps:
	echo 2 | uxyz08.exe -sw_ifl=2 -sw_fname=uxyz08

uxyz09_0001.eps:
	echo 2 | uxyz09.exe -sw_ifl=2 -sw_fname=uxyz09

uxyz10_0001.eps:
	echo 2 | uxyz10.exe -sw_ifl=2 -sw_fname=uxyz10
